#!/usr/bin/env python
# -*- coding: utf-8 -*-

def einlesen(datei="test.txt"):
    alles = {}  # Neuer dictionary, keys sind Buchstaben
    # Eintrag ist ein dictionary, keys sind ids(person)
    # Eintrag ist ein Array, Einträge sind Zeichnungen
    # Zeichnung ist ein Array, Einträge sind Striche
    # Strich ist ein Array, Eintrag ist ein Array von 3 Einträgen ms,x,y
    #
    # alles['Q']['2c24fac40a24'][0][1][2] liefert [50,20,130]


    with open("test.txt") as datei:
        while True:
            line = datei.readline()
            if not line:  # Datei Ende?
                break
            line = line.rstrip()
            items = line.split()  # Liste mit Strings
            
            if len(items)==2:  # Kopfzeile
                person = items[0]
                buchstabe = items[1]
                if not buchstabe in alles:  # Neuer Buchstabe, Eintrag ist ein leerer Dictionary
                    alles[buchstabe] = {}
                if not person in alles[buchstabe]: # Neue Person, Eintrag ist ein leeres Array
                    alles[buchstabe][person] = []  # Platz für Zeichnungen
                zeichnung = []  # Platz für Striche
                alles[buchstabe][person].append(zeichnung)
                strich = []  # Platz für Koordinaten
            else:  # "Normale Zeile"
                koordinaten = [int(s) for s in items]  # Umwandlung in Zahlen
                if koordinaten[1]==-1: # Strich fertig
                    zeichnung.append(strich)
                    strich = []  # Neuer Platz für Koordinaten
                else:
                    strich.append(koordinaten)
    return alles               

